Loading ...
Sorry, an error occurred while loading the content.
 

Re: Compile errors (FreeBSD)

Expand Messages
  • Stas Bekman
    ... I don t know whether FreeBSD has the same loader env vars, but on linux I can tell the executable which library to preload and from where using LD_PRELOAD
    Message 1 of 7 , Jan 29, 2004
      Forrest Aldrich wrote:
      > Yes, indeed in /usr/lib there is:
      >
      > libperl.a
      > libperl.so
      > libperl.so.3
      > libperl_p.a
      >
      > Which is the "system" perl version.
      >
      > I don't know that FreeBSD-5.x is stable enough to upgrade to at this
      > point - but I see now why they took perl out of the distribution.
      >
      > So, there must be a way to circumvent this issue - perhaps by some
      > makepl_* flags or?

      I don't know whether FreeBSD has the same loader env vars, but on linux I can
      tell the executable which library to preload and from where using LD_PRELOAD
      and LD_LIBRARY_PATH, e.g. when I build a new blead perl I have to use

      LD_PRELOAD=`pwd`/libperl.so LD_LIBRARY_PATH=`pwd` make test

      otherwise it'll use the preinstalled version.

      __________________________________________________________________
      Stas Bekman JAm_pH ------> Just Another mod_perl Hacker
      http://stason.org/ mod_perl Guide ---> http://perl.apache.org
      mailto:stas@... http://use.perl.org http://apacheweek.com
      http://modperlbook.org http://apache.org http://ticketmaster.com

      --
      Reporting bugs: http://perl.apache.org/bugs/
      Mail list info: http://perl.apache.org/maillist/modperl.html
      List etiquette: http://perl.apache.org/maillist/email-etiquette.html
    Your message has been successfully submitted and would be delivered to recipients shortly.